Add Certificate Library Item
Add an item to the certificate library
Add an item to the certificate library
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/ssl/certificateLibrary
COPY
Request Body
CertificateLibraryItem
of type(s)
application/json
Optional
Show optional properties
{
"alias": "string",
"certificate": "string"
}
{
"id": "string",
"alias": "string",
"privateKey": "string",
"privateKeyPassphrase": "string",
"certificate": "string",
"description": "string",
"consumerCount": 0
}
Responses
201
Created
Returns
CertificateLibraryItem
of type(s)
application/json;version=9.1.0
{
"id": "string",
"alias": "string",
"privateKey": "string",
"privateKeyPassphrase": "string",
"certificate": "string",
"description": "string",
"consumerCount": 0
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Classic"},{"type":"Modern"}]
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"alias":"string","certificate":"string"}' https://{api_host}/cloudapi/1.0.0/ssl/certificateLibrary
Availability
Added in 35.0
On This Page
Certificate Library Operations
GET
Query Certificate Library
POST
Add Certificate Library Item
GET
Get Certificate Library Item
PUT
Update Certificate Library Item
DELETE
Delete Certificate Library Item
GET
Query Cert Library Item Consumer Refs
POST
Add Consumer Ref To Cert Library Item
PUT
Replace Cert Library Item Consumer Refs